replicaCount: 1

image:
  repository: registry.gitlab.com/sylva-projects/sylva-elements/container-images/kopf
  pullPolicy: IfNotPresent
  tag: 1.0.5

imagePullSecrets: []
nameOverride: ""
fullnameOverride: ""

serviceAccount:
  # Specifies whether a service account should be created
  create: true
  # Annotations to add to the service account
  annotations: {}
  # The name of the service account to use.
  # If not set and create is true, a name is generated using the fullname template
  name: ""

podAnnotations: {}

podSecurityContext: {}
  # fsGroup: 2000

securityContext: {}
  # capabilities:
  #   drop:
  #   - ALL
  # readOnlyRootFilesystem: true
  # runAsNonRoot: true
  # runAsUser: 10000

resources: {}
  # We usually recommend not to specify default resources and to leave this as a conscious
  # choice for the user. This also increases chances charts run on environments with little
  # resources, such as Minikube. If you do want to specify resources, uncomment the following
  # lines, adjust them as necessary, and remove the curly braces after 'resources:'.
  # limits:
  #   cpu: 100m
  #   memory: 128Mi
  # requests:
  #   cpu: 100m
  #   memory: 128Mi

autoscaling:
  enabled: false
  minReplicas: 1
  maxReplicas: 100
  targetCPUUtilizationPercentage: 80
  # targetMemoryUtilizationPercentage: 80

nodeSelector: {}

tolerations: []

affinity: {}

debug: false

conf:
  env:
    #- name: REQUESTS_SSL_VERIFY
    #  value: no
    #- name: URL_REMAP
    #  value: https://[^/]+/ https://rancher.rancher.svc.cluster.local/"

  # the following configures how to find the kustomize base for
  # cattle-cluster-agent, that typically refers to 'cattle-kustomize' directory in
  # the git repository hosting this helm chart, either by
  # defining a FluxCD resource to be created by this chart
  cattle_agent_kustomize_source:  # this is ignored if 'cattle_agent_kustomize_source_ref' is provided (see below)
    apiVersion: source.toolkit.fluxcd.io/v1
    kind: GitRepository  # could also be a Bucket or an OCIRepository
    spec:
      interval: 1m0s
      url: https://gitlab.com/t6306/components/capi-rancher-import.git

  # or by referencing a pre-existing kustomize source, that
  # if present takes precedence
  cattle_agent_kustomize_source_ref:
    kind: GitRepository  # could also be a Bucket or an OCIRepository
    name: component-capi-rancher-import
    namespace: default

  # with the path used as the Kustomization spec.path set by
  cattle_agent_kustomize_path: ./cattle-kustomize

